Bug Hunting Session
Bug 115465 - Writer Table: Table Contents ignores default style settings
Summary: Writer Table: Table Contents ignores default style settings
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
: 116378 (view as bug list)
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2018-02-05 14:03 UTC by Matthias
Modified: 2019-08-07 15:56 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Table content ignores default style settings (118.75 KB, image/jpeg)
2018-02-05 14:04 UTC, Matthias
Details
Steps and screenshots to illustrate table style bug. (88.79 KB, application/vnd.oasis.opendocument.text)
2018-03-05 07:04 UTC, Walter Nicholls
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias 2018-02-05 14:03:06 UTC
Description:
If you change the default style (font, size...) in a document and then insert a table, the table contents always are formatted in Liberation Serif. 

Steps to Reproduce:
1.Change default style eg. font, size, color
2.Insert a table
3.Table font ignores setting of default style

Actual Results:  
Table contents is always formatted in Liberation Sans 12pt

Expected Results:
As in LibreOffice 5.4.4: Default Style should be used in tables


Reproducible: Always


User Profile Reset: Yes



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Matthias 2018-02-05 14:04:00 UTC
Created attachment 139603 [details]
Table content ignores default style settings
Comment 2 Walter Nicholls 2018-02-15 23:06:36 UTC
Worse, if you then set a style for the table, it randomly changes back. "Clear direct formatting" doesn't fix it (thankfully it does cause it either).
Only way I've found is to reapply the style to the table, in which case direct formatting (words in bold etc) get deleted - which I don't think should happen either.

At a guess, this is related to the work on table styles. When a document is opened, if it does not have a table style, it is acquiring them somehow - and the table styles include fonts. So it is setting Liberation Serif 12 - which is the default style for new documents created (with no custom template).

This is not what I imagined with "Dramatic Improvements". I now take that to mean more drama. It's a complete dealbreaker for me. Table formatting is utterly broken - I can't believe this wasn't found in beta. I also can't find a way to edit table styles once they exist.
In a second I'm going to uninstall LibreOffice 6.0 and go back to 5.x just to get my work done, so sorry, I can't do a lot of testing (without all the extra work of doing a side-by-side install.)

I don't have rights to mark this is confirmed , but I can sure confirm it. 

Libreoffice 6.0.1.1 (1:6.0.1~rc1-0ubuntu0.17.10.1~lo1 )
Comment 3 Dieter Praas 2018-02-16 15:34:27 UTC
> I don't have rights to mark this is confirmed , but I can sure confirm it. 
> 
You don't need special rights to confirm it.
Comment 4 Walter Nicholls 2018-02-17 06:37:19 UTC
Ta- I just didn't understand statuses. Also, for absolute clarity "does cause" should have been "Clear direct formatting ... doesn't cause it"
Comment 5 Walter Nicholls 2018-02-26 23:34:36 UTC
This may be a separate problem, but I can't mitigate this by editing the table style and setting the font I want. Nowhere in my menus ,right click etc, can I find any way to change what the default style is.  Or any other style. I can create a new table style, but can't edit that.

I tried completely resetting my user profile, in case there was some menu customisation problem.  No joy.

I may have got around it by deleting the table style "Default Style" - it remains to be seen.  But once a table style is applied to a table, that is it.  "None" does not appear in the list.

What happened to the table editing dialog in https://design.blog.documentfoundation.org/2015/12/13/style-your-tables/

Regardless of this, I would have though that any attributes of an applied paragraph style would override that of an underlying table style. Although IMHO there should be no mention of paragraph/character attributes in the table style anyway.

Downgrading to LO 5.4 was a disaster for me, I'm back to 6.0. So now I am livid especially since I often include tabular data in writer documents that are customer-facing and the corporate style should be enforced.
Comment 6 Walter Nicholls 2018-03-05 07:04:58 UTC
Created attachment 140340 [details]
Steps and screenshots to illustrate table style bug.
Comment 7 Walter Nicholls 2018-03-05 07:30:31 UTC
Not fixed by LO 6.0.2

I agree with Matthia's 5-Feb steps, but will go further: it is worse because of two additional problems

(a) almost any editing step will destroy the desired formatting of an existing table, including documents created in LO 5.x or earlier which were perfectly all right then.

and 

(b)  There is no way to edit the table style to match the paragraph style and thus work around the problem.  The only workaround I've found so far is deleting the table style entirely.

I don't think it is too strong to say that the new Table Styles are botched.
Comment 8 Walter Nicholls 2018-03-05 07:35:15 UTC
Note bug #115573 is covering the font-resets-on-edit issue.
Comment 9 Jean-Baptiste Faure 2018-03-13 12:26:12 UTC
*** Bug 116378 has been marked as a duplicate of this bug. ***
Comment 10 Dieter Praas 2018-03-13 12:29:59 UTC
I can't reproduc it in

Version: 5.4.6.1 (x64)
Build-ID: 7d6c666f03cf1f0a0c2c51a17c0f67a8d5a8012b
CPU-Threads: 4; BS: Windows 6.19; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group

=> regression
Comment 11 Xisco Faulí 2018-03-14 19:32:16 UTC
The behaviour changed after:

author	Jim Raykowski <raykowj@gmail.com>	2017-10-31 15:48:07 -0800
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2017-12-20 09:11:47 +0100
commit	416f7578d6332b5b5a4445f26307d73925188e41 (patch)
tree	c84e21fe1b096f149baf03a95bce82f5b385ad2e
parent	226804c8f7d2306562380283edfd919a88863807 (diff)
tdf#107555 Apply 'Default Style' table style to newly inserted tables

Bisected with: bibisect-linux64-6.1

Adding Cc: to Jim Raykowski

@Jim Raykowski, will it be the expected behaviour in 6.1?
Comment 12 Jim Raykowski 2018-03-15 03:50:34 UTC
(In reply to Xisco Faulí from comment #11)
 
> @Jim Raykowski, will it be the expected behaviour in 6.1?

I am probably more in the dark about that than you. I have submitted a revert patch that places Autoformat tables broken behaviour back under the rug.
Comment 13 Telesto 2018-05-04 16:27:21 UTC
No repro with
Version: 6.1.0.0.alpha0+
Build ID: 2ed7c02478968852d7d39c2c4677f2ecf3441bc7
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-04-22_01:00:56
Locale: nl-NL (nl_NL); Calc: CL
Comment 14 Vito 2019-03-06 11:32:38 UTC
The bug is still reproducible in my setup 6.1.5.2 x64.
It forces me to re-apply the styles every time I use insert table command.
Comment 15 Dieter Praas 2019-03-06 20:39:25 UTC
(In reply to Matthias from comment #0)
> Description:
> If you change the default style (font, size...) in a document and then
> insert a table, the table contents always are formatted in Liberation Serif. 
> 
> Steps to Reproduce:
> 1.Change default style eg. font, size, color
> 2.Insert a table
> 3.Table font ignores setting of default style

For me those steps are not clear enough: Is "default style" the default paragraph style in a table, that means the style "table contents"? If that is the case, I can still reproduce the bug in

Version: 6.3.0.0.alpha0+ (x64)
Build ID: f42554a1886ebe49170c25096dc3281b2c7bb1f4
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-02-08_22:37:30
Locale: en-US (de_DE); UI-Language: en-US
Calc: threade
Comment 16 Felix Stadler 2019-08-07 15:56:52 UTC
Some of this still happens in 6.2.4.2 (x64, windows). 

Steps to reproduce: 

1. Go to Tools .. Options .. Writer .. Basic Fonts and change all fonts to something other than Liberation xxx (e.g. Calibri).

2. File .. New .. Text Document

3. Launch insert table wizard (via CTRL-F12). Leave defaults as they are (2 columns, 2 rows, Default style). 

4. Cursor is now in the first cell. Font type is Liberation Serif 12, but should be the default font. 

5. Right mouse click on first cell, select Clear Direct Formatting: Font type changes to Calibri. 

This problem does not happen, if the table is created using the drop-down button where user can select a column and row count with the mouse. In that case, the cells are correctly formatted.